org.apache.poi.hslf.record

## Class ExMediaAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.ExMediaAtom

- All Implemented Interfaces:
    GenericRecord

      public final class ExMediaAtom
      extends RecordAtom

  An atom record that specifies information about external audio or video data.
  Author:
    Yegor Kozlov

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `fLoop` A bit that specifies whether the audio or video data is repeated continuously during playback.
    `static int` | `fNarration` A bit that specifies whether the audio data is recorded narration for the slide show.
    `static int` | `fRewind` A bit that specifies whether the audio or video data is rewound after playing.

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ExMediaAtom()` Constructs a brand new link related atom record.
    `protected` | `ExMediaAtom(byte[] source, int start, int len)` Constructs the link related atom record from its source data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getFlag(int bit)`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `int` | `getMask()` A bit mask specifying options for displaying headers and footers
    `int` | `getObjectId()` A 4-byte unsigned integer that specifies an ID for an external object.
    `long` | `getRecordType()` Gets the record type.
    `void` | `setFlag(int bit, boolean value)`
    `void` | `setMask(int mask)` A bit mask specifying options for displaying video
    `void` | `setObjectId(int id)` A 4-byte unsigned integer that specifies an ID for an external object.
    `java.lang.String` | `toString()`
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fLoop

          public static final int fLoop

      A bit that specifies whether the audio or video data is repeated continuously during playback.
      See Also:
        Constant Field Values

    - #### fRewind

          public static final int fRewind

      A bit that specifies whether the audio or video data is rewound after playing.
      See Also:
        Constant Field Values

    - #### fNarration

          public static final int fNarration

      A bit that specifies whether the audio data is recorded narration for the slide show. It MUST be FALSE if this ExMediaAtom record is contained by an ExVideoContainer record.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExMediaAtom

          protected ExMediaAtom()

      Constructs a brand new link related atom record.

    - #### ExMediaAtom

          protected ExMediaAtom(byte[] source,
                                int start,
                                int len)

      Constructs the link related atom record from its source data.
      Parameters:
        `source` - the source data as a byte array.
        `start` - the start offset into the byte array.
        `len` - the length of the slice in the byte array.

  - ### Method Detail

    - #### getRecordType

          public long getRecordType()

      Gets the record type.
      Specified by:
        `getRecordType` in class `Record`
      Returns:
        the record type.

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Parameters:
        `out` - the output stream to write to.
      Throws:
        `java.io.IOException` - if an error occurs.

    - #### getObjectId

          public int getObjectId()

      A 4-byte unsigned integer that specifies an ID for an external object.
      Returns:
        A 4-byte unsigned integer that specifies an ID for an external object.

    - #### setObjectId

          public void setObjectId(int id)

      A 4-byte unsigned integer that specifies an ID for an external object.
      Parameters:
        `id` - A 4-byte unsigned integer that specifies an ID for an external object.

    - #### getMask

          public int getMask()

      A bit mask specifying options for displaying headers and footers
      Returns:
        A bit mask specifying options for displaying headers and footers

    - #### setMask

          public void setMask(int mask)

      A bit mask specifying options for displaying video
      Parameters:
        `mask` - A bit mask specifying options for displaying video

    - #### getFlag

          public boolean getFlag(int bit)

      Parameters:
        `bit` - the bit to check
      Returns:
        whether the specified flag is set

    - #### setFlag

          public void setFlag(int bit,
                              boolean value)

      Parameters:
        `bit` - the bit to set
        `value` - whether the specified bit is set

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.